logo
Loading...

安裝了哪些版本的套件才可正常執行 [v1.0.3] part3 daily forecast? - Cupoy

請問各位同學及老師已更新了7/24 v1.0.3版本的程式,但相同的錯誤仍無法排除,執行daily ...

安裝了哪些版本的套件才可正常執行 [v1.0.3] part3 daily forecast?

2020/07/27 02:54 PM
AI股票交易技術論壇
徐偉峻
觀看數:0
回答數:1
收藏數:0

請問各位同學及老師

已更新了7/24 v1.0.3版本的程式,但相同的錯誤仍無法排除,執行daily forecast時出現

KeyError: 'Passing list-likes to .loc or [] with any missing labels is no longer supported

AttributeError: 'list' object has no attribute 'save_raw'

(完整錯誤訊息參考下方)


可正常執行程式的同學,請問方便分享執行環境相關資訊供參考嗎?

我的環境資訊如下:

作業系統: Mac OS

Python 3.7

anaconda 3,使用Jupyter notebook 執行

安裝相關套件及版本:

numpy                  1.18.5

pandas                 1.0.5

shap                   0.35.0

TA-Lib                 0.4.18

ipython                7.16.1

pickleshare            0.7.5

shap                   0.35.0

matplotlib             3.2.2

xgboost                1.1.1

tqdm                   4.47.0

hyperopt               0.2.4

scikit-learn           0.22.1

tensorflow             2.0.0

Keras                  2.3.1
Keras-Applications     1.0.8
Keras-Preprocessing    1.1.0